Bug 1127790 - Default values should be used for unset properties in rhq-server.properties
Summary: Default values should be used for unset properties in rhq-server.properties
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Installer
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: JON 3.4.0
Assignee: Jay Shaughnessy
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 14:44 UTC by Filip Brychta
Modified: 2019-03-07 16:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-07 16:16:23 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1060353 None CLOSED Non required or unused properties in rhq-server.properties are being required by rhqctl 2019-03-07 16:13:46 UTC

Internal Links: 1060353

Description Filip Brychta 2014-08-07 14:44:35 UTC
Description of problem:
This bz is to capture scenario from comment 7 in bz 1060353

Version-Release number of selected component (if applicable):
Version :	
3.3.0.DR01
Build Number :	
6468454:dda0a47

How reproducible:
Always

Steps to Reproduce:
1. unzip jon-server*.zip
2. edit rhq-server.properties to contain only:
jboss.bind.address=0.0.0.0
rhq.autoinstall.enabled=true
rhq.autoinstall.server.admin.password=x1XwrxKuPvYUILiOnOZTLg==
3. ./rhqctl install

Actual results:
[hudson@fbr-jon33-ora bin]$ ./rhqctl install
05:10:19,475 INFO  [org.jboss.modules] JBoss Modules version 1.3.3.Final-redhat-1
05:10:19,923 ERROR [org.rhq.server.control.RHQControl] The rhq-server.properties file is not valid. Installation is canceled: Validation errors:
[rhq.server.maintenance-mode-at-startup] must exist and be set 'true' or 'false' : [null]
[rhq.server.client.security.server-auth-mode-enabled] must exist and be set 'true' or 'false' : [null]
[rhq.communications.multicast-detector.enabled] must exist and be set 'true' or 'false' : [null]
[rhq.server.socket.binding.port.http] must exist and be set to a number : [null]
[rhq.server.concurrency-limit.measurement-report] must exist and be set to a number : [null]
[rhq.server.concurrency-limit.content-download] must exist and be set to a number : [null]
[rhq.server.concurrency-limit.inventory-sync] must exist and be set to a number : [null]
[rhq.storage.gossip-port] must exist and be set to a number : [null]
[rhq.server.email.smtp-port] must exist and be set to a number : [null]
[rhq.storage.cql-port] must exist and be set to a number : [null]
[rhq.communications.global-concurrency-limit] must exist and be set to a number : [null]
[rhq.server.concurrency-limit.inventory-report] must exist and be set to a number : [null]
[rhq.server.operation-timeout] must exist and be set to a number : [null]
[rhq.server.concurrency-limit.availability-report] must exist and be set to a number : [null]
[rhq.communications.multicast-detector.port] must exist and be set to a number : [null]
[rhq.server.concurrency-limit.content-report] must exist and be set to a number : [null]
[rhq.server.concurrency-limit.measurement-schedule-request] must exist and be set to a number : [null]
[rhq.server.socket.binding.port.https] must exist and be set to a number : [null]
[rhq.server.startup.web.max-connections] must exist and be set to a number : [null]
[rhq.server.quartz.lockHandlerClass] must exist and be set to a valid string value
[rhq.server.email.smtp-host] must exist and be set to a valid string value
[rhq.server.quartz.selectWithLockSQL] must exist and be set to a valid string value
[rhq.autoinstall.database] must exist and be set to a valid string value
[rhq.server.email.from-address] must exist and be set to a valid string value


Expected results:
Installation should be successful

Additional info:
See bz 1060353

Comment 1 Jay Shaughnessy 2014-08-20 19:21:38 UTC
I think this work should be pushed to a future version.

Comment 2 Larry O'Leary 2015-01-05 15:47:37 UTC
This is work that was originally scheduled for 3.3 as per bug 1060353 but the commit for said bug only included the example scenario and not the actual real-world use-case.

The expectation for this bug is that all properties that have a valid default are not required to appear in rhq-server.properties or rhq-server-env.sh. Even jboss.bind.address should use a reasonable default of 127.0.0.1 just as all other secure services use by default.

Comment 3 Filip Brychta 2019-03-07 16:16:23 UTC
JBoss ON is coming to the end of its product life cycle. For more information regarding this transition, see https://access.redhat.com/articles/3827121.
This bug report/request is being closed. If you feel this issue should not be closed or requires further review, please create a new bug report against the latest supported JBoss ON 3.3 version.


Note You need to log in before you can comment on or make changes to this bug.